org.apache.lucene.codecs.blockterms

## Class VariableGapTermsIndexWriter.EveryNTermSelector

- java.lang.Object
- - org.apache.lucene.codecs.blockterms.VariableGapTermsIndexWriter.IndexTermSelector
  - - org.apache.lucene.codecs.blockterms.VariableGapTermsIndexWriter.EveryNTermSelector

- Enclosing class:
    VariableGapTermsIndexWriter

      public static final class VariableGapTermsIndexWriter.EveryNTermSelector
      extends VariableGapTermsIndexWriter.IndexTermSelector

  Same policy as `FixedGapTermsIndexWriter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EveryNTermSelector(int interval)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIndexTerm(BytesRef term, TermStats stats)` Called sequentially on every term being written, returning true if this term should be indexed
    `void` | `newField(FieldInfo fieldInfo)` Called when a new field is started.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EveryNTermSelector

          public EveryNTermSelector(int interval)

  - ### Method Detail

    - #### isIndexTerm

          public boolean isIndexTerm(BytesRef term,
                                     TermStats stats)

      Description copied from class: `VariableGapTermsIndexWriter.IndexTermSelector`
      Called sequentially on every term being written, returning true if this term should be indexed
      Specified by:
        `isIndexTerm` in class `VariableGapTermsIndexWriter.IndexTermSelector`

    - #### newField

          public void newField(FieldInfo fieldInfo)

      Description copied from class: `VariableGapTermsIndexWriter.IndexTermSelector`
      Called when a new field is started.
      Specified by:
        `newField` in class `VariableGapTermsIndexWriter.IndexTermSelector`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.